### Method

# ECal ReminderWatcher ref_opened_client

since: 3.30

#### Declaration [src]

    ECalClient*
    e_reminder_watcher_ref_opened_client (
      EReminderWatcher* watcher,
      const gchar* source_uid
    )

#### Description

No description available.

Available since: 3.30

#### Parameters

`source_uid`

  Type: `const gchar*`

  An `ESource` UID of the calendar to return.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalClient`

A referenced `ECalClient` for the `source_uid`, if any such is opened; `NULL` otherwise.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.